Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty
Class Response

    java.lang.Object
      org.mortbay.jetty.Response

All Implemented Interfaces:
  HttpServletResponse, ServletResponse

    public class Response

extends Object
implements HttpServletResponse

Response.

Implements `HttpServletResponse` from the `javax.servlet` package.

Author:
  gregw

Field Summary
`static int` | `DISABLED`
`static int` | `NONE`
`static int` | `STREAM`
`static int` | `WRITER`

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`Response(HttpConnection connection)`

Method Summary
`void` | `addCookie(Cookie cookie)`
`void` | `addDateHeader(String name, long date)`
`void` | `addHeader(String name, String value)`
`void` | `addIntHeader(String name, int value)`
`void` | `complete()`
`boolean` | `containsHeader(String name)`
`String` | `encodeRedirectUrl(String url)`
`String` | `encodeRedirectURL(String url)`
`String` | `encodeUrl(String url)`
`String` | `encodeURL(String url)`
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`String` | `getCharacterEncoding()`
`long` | `getContentCount()`
`String` | `getContentType()`
`String` | `getHeader(String name)`
`Enumeration` | `getHeaders(String name)`
`HttpFields` | `getHttpFields()`
`Locale` | `getLocale()`
`ServletOutputStream` | `getOutputStream()`
`String` | `getReason()`
`int` | `getStatus()`
`PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`boolean` | `isWriting()`
`protected void` | `recycle()`
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `sendError(int sc)`
`void` | `sendError(int code, String message)`
`void` | `sendProcessing()`
`void` | `sendRedirect(String location)`
`void` | `setBufferSize(int size)`
`void` | `setCharacterEncoding(String encoding)`
`void` | `setContentLength(int len)`
`void` | `setContentType(String contentType)`
`void` | `setDateHeader(String name, long date)`
`void` | `setHeader(String name, String value)`
`void` | `setIntHeader(String name, int value)`
`void` | `setLocale(Locale locale)`
`void` | `setLongContentLength(long len)`
`void` | `setStatus(int sc)`
`void` | `setStatus(int sc, String sm)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DISABLED

    public static final int DISABLED

See Also:
  Constant Field Values

### NONE

    public static final int NONE

See Also:
  Constant Field Values

### STREAM

    public static final int STREAM

See Also:
  Constant Field Values

### WRITER

    public static final int WRITER

See Also:
  Constant Field Values

Constructor Detail

### Response

    public Response(HttpConnection connection)

Method Detail

### recycle

    protected void recycle()

### addCookie

    public void addCookie(Cookie cookie)

  Specified by:
    `addCookie` in interface `HttpServletResponse`

### containsHeader

    public boolean containsHeader(String name)

  Specified by:
    `containsHeader` in interface `HttpServletResponse`

### encodeURL

    public String encodeURL(String url)

  Specified by:
    `encodeURL` in interface `HttpServletResponse`

### encodeRedirectURL

    public String encodeRedirectURL(String url)

  Specified by:
    `encodeRedirectURL` in interface `HttpServletResponse`

### encodeUrl

    public String encodeUrl(String url)

  Specified by:
    `encodeUrl` in interface `HttpServletResponse`

### encodeRedirectUrl

    public String encodeRedirectUrl(String url)

  Specified by:
    `encodeRedirectUrl` in interface `HttpServletResponse`

### sendError

    public void sendError(int code,
                          String message)
                   throws IOException

  Specified by:
    `sendError` in interface `HttpServletResponse`
  Throws:
    `IOException`

### sendError

    public void sendError(int sc)
                   throws IOException

  Specified by:
    `sendError` in interface `HttpServletResponse`
  Throws:
    `IOException`

### sendProcessing

    public void sendProcessing()
                        throws IOException

  Throws:
    `IOException`

### sendRedirect

    public void sendRedirect(String location)
                      throws IOException

  Specified by:
    `sendRedirect` in interface `HttpServletResponse`
  Throws:
    `IOException`

### setDateHeader

    public void setDateHeader(String name,
                              long date)

  Specified by:
    `setDateHeader` in interface `HttpServletResponse`

### addDateHeader

    public void addDateHeader(String name,
                              long date)

  Specified by:
    `addDateHeader` in interface `HttpServletResponse`

### setHeader

    public void setHeader(String name,
                          String value)

  Specified by:
    `setHeader` in interface `HttpServletResponse`

### getHeader

    public String getHeader(String name)

### getHeaders

    public Enumeration getHeaders(String name)

### addHeader

    public void addHeader(String name,
                          String value)

  Specified by:
    `addHeader` in interface `HttpServletResponse`

### setIntHeader

    public void setIntHeader(String name,
                             int value)

  Specified by:
    `setIntHeader` in interface `HttpServletResponse`

### addIntHeader

    public void addIntHeader(String name,
                             int value)

  Specified by:
    `addIntHeader` in interface `HttpServletResponse`

### setStatus

    public void setStatus(int sc)

  Specified by:
    `setStatus` in interface `HttpServletResponse`

### setStatus

    public void setStatus(int sc,
                          String sm)

  Specified by:
    `setStatus` in interface `HttpServletResponse`

### getCharacterEncoding

    public String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `ServletResponse`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `ServletResponse`

### getOutputStream

    public ServletOutputStream getOutputStream()
                                        throws IOException

  Specified by:
    `getOutputStream` in interface `ServletResponse`
  Throws:
    `IOException`

### isWriting

    public boolean isWriting()

### getWriter

    public PrintWriter getWriter()
                          throws IOException

  Specified by:
    `getWriter` in interface `ServletResponse`
  Throws:
    `IOException`

### setCharacterEncoding

    public void setCharacterEncoding(String encoding)

  Specified by:
    `setCharacterEncoding` in interface `ServletResponse`

### setContentLength

    public void setContentLength(int len)

  Specified by:
    `setContentLength` in interface `ServletResponse`

### setLongContentLength

    public void setLongContentLength(long len)

### setContentType

    public void setContentType(String contentType)

  Specified by:
    `setContentType` in interface `ServletResponse`

### setBufferSize

    public void setBufferSize(int size)

  Specified by:
    `setBufferSize` in interface `ServletResponse`

### getBufferSize

    public int getBufferSize()

  Specified by:
    `getBufferSize` in interface `ServletResponse`

### flushBuffer

    public void flushBuffer()
                     throws IOException

  Specified by:
    `flushBuffer` in interface `ServletResponse`
  Throws:
    `IOException`

### reset

    public void reset()

  Specified by:
    `reset` in interface `ServletResponse`

### resetBuffer

    public void resetBuffer()

  Specified by:
    `resetBuffer` in interface `ServletResponse`

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `ServletResponse`

### setLocale

    public void setLocale(Locale locale)

  Specified by:
    `setLocale` in interface `ServletResponse`

### getLocale

    public Locale getLocale()

  Specified by:
    `getLocale` in interface `ServletResponse`

### getStatus

    public int getStatus()

  Returns:
    The HTTP status code that has been set for this request. This will be `200`(`HttpServletResponse.SC_OK`), unless explicitly set through one of the `setStatus` methods.``

### getReason

    public String getReason()

  Returns:
    The reason associated with the current `status`. This will be `null`, unless one of the `setStatus` methods have been called.

### complete

    public void complete()
                  throws IOException

  Throws:
    `IOException`

### getContentCount

    public long getContentCount()

  Returns:
    the number of bytes actually written in response body

### getHttpFields

    public HttpFields getHttpFields()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.